/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 10:00:34
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2024-01-23 15:26:13
 * @FilePath: \ruoyi-ui\src\api\procure\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';

// 查询品牌列表
export function getBrandNameList() {
  return newRequest({
    url: '/brand/list',
    method: 'get'
  })
}

export function getSplitList(data) {
  return newRequest({
    url: '/auto/split/list',
    method: 'post',
    data
  })
}

export function splitExport(data) {
  return newRequest({
    url: '/auto/split/export',
    method: 'post',
    data
  })
}

export function splitLog(data) {
  return newRequest({
    url: '/auto/split/log',
    method: 'post',
    data
  })
}

export function splitChannelList(data) {
  return newRequest({
    url: '/auto/split/channel/list',
    method: 'post',
    data
  })
}


export function splitDeptList(data) {
  return newRequest({
    url: '/auto/split/dept/list',
    method: 'post',
    data
  })
}

export function saveSplitChannel(data) {
  return newRequest({
    url: '/auto/split/split/channel',
    method: 'post',
    data
  })
}


export function saveSplitDept(data) {
  return newRequest({
    url: '/auto/split/split/dept',
    method: 'post',
    data
  })
}


export function oldListChannel(data) {
  return newRequest({
    url: '/auto/split/old/list/channel',
    method: 'post',
    data
  })
}

export function oldListDept(data) {
  return newRequest({
    url: 'auto/split/old/list/dept',
    method: 'post',
    data
  })
}



export function saleDetailList(data) {
  return newRequest({
    url: '/auto/split/sale/detail/list',
    method: 'post',
    data
  })
}

export function getCategory() {
  return newRequest({
    url: '/auto/split/getCategory',
    method: 'get',
  })
}